MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000421XdebugUsage problems (Wrong Results)public2009-01-14 18:472010-04-04 11:41
ReporterRadek Matous 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0dev 
Target Version2.1.0RC1Fixed in Version 
Summary0000421: xdebug sends back invalid characters in xml sometimes
DescriptionAn invalid XML character (Unicode: 0x10) was found in xml send back after "context_get" command. See reproducible case, log protocol,...

Reproducible case
===============================
<?php
function iterateXML()
{
    $siteXMLString = file_get_contents("localvariables.xml", true);
    $iterator = new SimpleXMLIterator($siteXMLString);
    $projectsIterator = $iterator->xpath("//page");

    // Iterate through all 3 occurances of <page> elements
    foreach ($projectsIterator as $pageXML)
    {
        // Set a breakpoint somewhere inside this loop.
        // You won't see any variables in the Local Variables panel until the second
        // time through the loop. After that, they seem to work fine.
        $currentPageXML= $pageXML;
        $name = $currentPageXML["name"];
        echo $name . '
';
    }
}

iterateXML();
?>


XML Data for reproducible case: localvariables.xml
==================================================
<?xml version="1.0" encoding="UTF-8"?>
<site>
    <page name="projects">
        <page name="Project 1" />
        <page name="Project 2" />
    </page>
</site>

Log protocol
============
<- step_over -i 879
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="step_over" transaction_id="879" status="break" reason="ok"><xdebug:message filename="file:///home.local/rmatous/public_html/PhpProject71/localvariables.php" [^] lineno="16"></xdebug:message></response>

<- stack_get -i 880
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="stack_get" transaction_id="880"><stack where="iterateXML" level="0" type="file" filename="file:///home.local/rmatous/public_html/PhpProject71/localvariables.php" [^] lineno="16"></stack><stack where="{main}" level="1" type="file" filename="file:///home.local/rmatous/public_html/PhpProject71/localvariables.php" [^] lineno="20"></stack></response>

<- context_names -i 881
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_names" transaction_id="881"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context></response>

<- context_get -i 882 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="882" context="0"><property name="projectsIterator" fullname="$projectsIterator" address="141277156" type="array" children="1" numchildren="3"><property name="0" fullname="$projectsIterator[0]" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property><property name="1" fullname="$projectsIterator[1]" address="141268144" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property><property name="2" fullname="$projectsIterator[2]" address="141268380" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property></property><property name="siteXMLString" fullname="$siteXMLString" address="141275960" type="string" size="342" encoding="base64"><![CDATA[PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KCjwhLS0KICAgIERvY3VtZW50ICAgOiBsb3ZhbHZhcmlhYmxlcy54bWwueG1sCiAgICBDcmVhdGVkIG9uIDogSmFudWFyeSAxMiwgMjAwOSwgMToyNyBQTQogICAgQXV0aG9yICAgICA6IHdpbGxpc21vcnNlCiAgICBEZXNjcmlwdGlvbjoKICAgICAgICBQdXJwb3NlIG9mIHRoZSBkb2N1bWVudCBmb2xsb3dzLgotLT4KCjxzaXRlPgogICAgPHBhZ2UgbmFtZT0icHJvamVjdHMiPgogICAgICAgIDxwYWdlIG5hbWU9IlByb2plY3QgMSIgLz4KICAgICAgICA8cGFnZSBuYW1lPSJQcm9qZWN0IDIiIC8+CiAgICA8L3BhZ2U+Cjwvc2l0ZT4K]]></property><property name="name" fullname="$name" address="141271684" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"><property address="141271708" type="string" size="8" encoding="base64"><![CDATA[cHJvamVjdHM=]]></property></property><property name="currentPageXML" fullname="$currentPageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"><property name="@attributes" fullname="$currentPageXML->@attributes" facet="public" address="141268848" type="array" children="1" numchildren="1"></property><property name="
+" fullname="$currentPageXML->page" facet="public" address="141269408" type="array" children="1" numchildren="2"></property></property><property name="iterator" fullname="$iterator" address="141278096" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"><property name="page" fullname="$iterator->page" facet="public" address="141270372" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property></property><property name="pageXML" fullname="$pageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"><property name="@attributes" fullname="$pageXML->@attributes" facet="public" address="141269236" type="array" children="1" numchildren="1"></property><property name="page" fullname="$pageXML->page" facet="public" address="141275424" type="array" children="1" numchildren="2"></property></property></response>

<- context_get -i 883 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="883" context="1"><property name="_COOKIE" fullname="$_COOKIE" address="141256728" type="array" children="0" numchildren="0"></property><property name="_ENV" fullname="$_ENV" address="141250152" type="array" children="1" numchildren="44" page="0" pagesize="32"><property name="ANT_HOME" fullname="$_ENV['ANT_HOME']" address="141250288" type="string" size="15" encoding="base64"><![CDATA[L3Vzci8vc2hhcmUvYW50]]></property><property name="XFILESEARCHPATH" fullname="$_ENV['XFILESEARCHPATH']" address="141250400" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GDM_LANG" fullname="$_ENV['GDM_LANG']" address="141250504" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LANG" fullname="$_ENV['LANG']" address="141250600" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="DISPLAY" fullname="$_ENV['DISPLAY']" address="141250688" type="string" size="4" encoding="base64"><![CDATA[OjAuMA==]]></property><property name="XDEBUG_CONFIG" fullname="$_ENV['XDEBUG_CONFIG']" address="141250796" type="string" size="22" encoding="base64"><![CDATA[aWRla2V5PW5ldGJlYW5zLXhkZWJ1Zw==]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_ENV['GNOME_DESKTOP_SESSION_ID']" address="141250896" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="PWD" fullname="$_ENV['PWD']" address="141251052" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUubG9jYWwvcm1hdG91cy93b3JrL25ldGJlYW5zL21haW53b3JraW5nL25iYnVpbGQ=]]></property><property name="_" fullname="$_ENV['_']" address="141251180" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2Jpbi9qYXZh]]></property><property name="JDKHOME" fullname="$_ENV['JDKHOME']" address="141251348" type="string" size="15" encoding="base64"><![CDATA[L3NwYWNlL2phdmEvamRr]]></property><property name="NLSPATH" fullname="$_ENV['NLSPATH']" address="141251424" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="USER" fullname="$_ENV['USER']" address="141251516" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property><property name="EDITOR" fullname="$_ENV['EDITOR']" address="141251604" type="string" size="4" encoding="base64"><![CDATA[Z3ZpbQ==]]></property><property name="SSH_AGENT_PID" fullname="$_ENV['SSH_AGENT_PID']" address="141251696" type="string" size="4" encoding="base64"><![CDATA[NjQwNg==]]></property><property name="COLORTERM" fullname="$_ENV['COLORTERM']" address="141251804" type="string" size="14" encoding="base64"><![CDATA[Z25vbWUtdGVybWluYWw=]]></property><property name="XDG_DATA_DIRS" fullname="$_ENV['XDG_DATA_DIRS']" address="141251940" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zaGFyZS86L3Vzci9zaGFyZS86L3Vzci9zaGFyZS9nZG0v]]></property><property name="HOME" fullname="$_ENV['HOME']" address="141252052" type="string" size="19" encoding="base64"><![CDATA[L2hvbWUubG9jYWwvcm1hdG91cw==]]></property><property name="ANT_OPTS" fullname="$_ENV['ANT_OPTS']" address="141252528" type="string" size="257" encoding="base64"><![CDATA[LVhteDM4NG0gLURzY3JhbWJsZXIyPUktaW1wbGljaXRseS1hY2NlcHQtYW55LWFuZC1hbGwtbGljZW5zZS10ZXJtcy1yZXF1aXJlZC1ieS1hbnktZmlsZXMtc2NyYW1ibGVkLXVzaW5nLW9yZy5uZXRiZWFucy5uYmJ1aWxkLlNjcmFtYmxlLWJ5LXVzaW5nLXRoaXMtb3B0aW9uLWFuZC13aWxsLW5vdC1yZWxlYXNlLXRoaXMta2V5LXRvLWFueW9uZS1leGNlcHQtU3VuLWVtcGxveWVlcy1hbmQtb3RoZXItZXhwbGljaXRseS1hdXRob3JpemVkLXBhcnRpZXM=]]></property><property name="SESSION_MANAGER" fullname="$_ENV['SESSION_MANAGER']" address="141252604" type="string" size="34" encoding="base64"><![CDATA[bG9jYWwvcm1vZmZpY2U6L3RtcC8uSUNFLXVuaXgvNjM2OA==]]></property><property name="LESSOPEN" fullname="$_ENV['LESSOPEN']" address="141252720" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="LESSCLOSE" fullname="$_ENV['LESSCLOSE']" address="141252828" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="LD_LIBRARY_PATH" fullname="$_ENV['LD_LIBRARY_PATH']" address="141253076" type="string" size="159" encoding="base64"><![CDATA[L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2pyZS9saWIvaTM4Ni9jbGllbnQ6L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2pyZS9saWIvaTM4NjovdXNyL2xpYi9qdm0vamF2YS0xLjUuMC1zdW4tMS41LjAuMTMvanJlLy4uL2xpYi9pMzg2]]></property><property name="WINDOWID" fullname="$_ENV['WINDOWID']" address="141253180" type="string" size="8" encoding="base64"><![CDATA[NjA4MTc1MDQ=]]></property><property name="LOGNAME" fullname="$_ENV['LOGNAME']" address="141253272" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property><property name="GNOME_KEYRING_PID" fullname="$_ENV['GNOME_KEYRING_PID']" address="141253364" type="string" size="4" encoding="base64"><![CDATA[NjM2NQ==]]></property><property name="SHELL" fullname="$_ENV['SHELL']" address="141253472" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="DESKTOP_SESSION" fullname="$_ENV['DESKTOP_SESSION']" address="141253564" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SSH_AUTH_SOCK" fullname="$_ENV['SSH_AUTH_SOCK']" address="141253688" type="string" size="30" encoding="base64"><![CDATA[L3RtcC9zc2gtY3hOc2JHNjM2OC9hZ2VudC42MzY4]]></property><property name="CVSROOT" fullname="$_ENV['CVSROOT']" address="141253820" type="string" size="38" encoding="base64"><![CDATA[OnBzZXJ2ZXI6cm1hdG91c0BjdnMubmV0YmVhbnMub3JnOi9jdnM=]]></property><property name="GNOME_KEYRING_SOCKET" fullname="$_ENV['GNOME_KEYRING_SOCKET']" address="141253932" type="string" size="26" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLWF1QzRVSy9zb2NrZXQ=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_ENV['DBUS_SESSION_BUS_ADDRESS']" address="141254104" type="string" size="72" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtb0xUYURLVURWRyxndWlkPTg2YTRkZmVmMzg5Y2EzODZiZTQ3ZGYwMDQ5NmM0ODZm]]></property><property name="USERNAME" fullname="$_ENV['USERNAME']" address="141254212" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property></property><property name="_FILES" fullname="$_FILES" address="141264700" type="array" children="0" numchildren="0"></property><property name="_GET" fullname="$_GET" address="141256616" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$_POST" address="141264144" type="array" children="0" numchildren="0"></property><property name="_REQUEST" fullname="$_REQUEST" address="141264924" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$_SERVER" address="141256840" type="array" children="1" numchildren="52" page="0" pagesize="32"><property name="ANT_HOME" fullname="$_SERVER['ANT_HOME']" address="141256976" type="string" size="15" encoding="base64"><![CDATA[L3Vzci8vc2hhcmUvYW50]]></property><property name="XFILESEARCHPATH" fullname="$_SERVER['XFILESEARCHPATH']" address="141257088" type="string" size="26" encoding="base64"><![CDATA[L3Vzci9kdC9hcHAtZGVmYXVsdHMvJUwvRHQ=]]></property><property name="GDM_LANG" fullname="$_SERVER['GDM_LANG']" address="141257192" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="LANG" fullname="$_SERVER['LANG']" address="141257288" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="DISPLAY" fullname="$_SERVER['DISPLAY']" address="141257376" type="string" size="4" encoding="base64"><![CDATA[OjAuMA==]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER['XDEBUG_CONFIG']" address="141257484" type="string" size="22" encoding="base64"><![CDATA[aWRla2V5PW5ldGJlYW5zLXhkZWJ1Zw==]]></property><property name="GNOME_DESKTOP_SESSION_ID" fullname="$_SERVER['GNOME_DESKTOP_SESSION_ID']" address="141257584" type="string" size="7" encoding="base64"><![CDATA[RGVmYXVsdA==]]></property><property name="PWD" fullname="$_SERVER['PWD']" address="141257740" type="string" size="53" encoding="base64"><![CDATA[L2hvbWUubG9jYWwvcm1hdG91cy93b3JrL25ldGJlYW5zL21haW53b3JraW5nL25iYnVpbGQ=]]></property><property name="_" fullname="$_SERVER['_']" address="141257868" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2Jpbi9qYXZh]]></property><property name="JDKHOME" fullname="$_SERVER['JDKHOME']" address="141258036" type="string" size="15" encoding="base64"><![CDATA[L3NwYWNlL2phdmEvamRr]]></property><property name="NLSPATH" fullname="$_SERVER['NLSPATH']" address="141258112" type="string" size="29" encoding="base64"><![CDATA[L3Vzci9kdC9saWIvbmxzL21zZy8lTC8lTi5jYXQ=]]></property><property name="USER" fullname="$_SERVER['USER']" address="141258204" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property><property name="EDITOR" fullname="$_SERVER['EDITOR']" address="141258292" type="string" size="4" encoding="base64"><![CDATA[Z3ZpbQ==]]></property><property name="SSH_AGENT_PID" fullname="$_SERVER['SSH_AGENT_PID']" address="141258384" type="string" size="4" encoding="base64"><![CDATA[NjQwNg==]]></property><property name="COLORTERM" fullname="$_SERVER['COLORTERM']" address="141258492" type="string" size="14" encoding="base64"><![CDATA[Z25vbWUtdGVybWluYWw=]]></property><property name="XDG_DATA_DIRS" fullname="$_SERVER['XDG_DATA_DIRS']" address="141258628" type="string" size="45" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zaGFyZS86L3Vzci9zaGFyZS86L3Vzci9zaGFyZS9nZG0v]]></property><property name="HOME" fullname="$_SERVER['HOME']" address="141258740" type="string" size="19" encoding="base64"><![CDATA[L2hvbWUubG9jYWwvcm1hdG91cw==]]></property><property name="ANT_OPTS" fullname="$_SERVER['ANT_OPTS']" address="141259080" type="string" size="257" encoding="base64"><![CDATA[LVhteDM4NG0gLURzY3JhbWJsZXIyPUktaW1wbGljaXRseS1hY2NlcHQtYW55LWFuZC1hbGwtbGljZW5zZS10ZXJtcy1yZXF1aXJlZC1ieS1hbnktZmlsZXMtc2NyYW1ibGVkLXVzaW5nLW9yZy5uZXRiZWFucy5uYmJ1aWxkLlNjcmFtYmxlLWJ5LXVzaW5nLXRoaXMtb3B0aW9uLWFuZC13aWxsLW5vdC1yZWxlYXNlLXRoaXMta2V5LXRvLWFueW9uZS1leGNlcHQtU3VuLWVtcGxveWVlcy1hbmQtb3RoZXItZXhwbGljaXRseS1hdXRob3JpemVkLXBhcnRpZXM=]]></property><property name="SESSION_MANAGER" fullname="$_SERVER['SESSION_MANAGER']" address="141259200" type="string" size="34" encoding="base64"><![CDATA[bG9jYWwvcm1vZmZpY2U6L3RtcC8uSUNFLXVuaXgvNjM2OA==]]></property><property name="LESSOPEN" fullname="$_SERVER['LESSOPEN']" address="141259316" type="string" size="22" encoding="base64"><![CDATA[fCAvdXNyL2Jpbi9sZXNzcGlwZSAlcw==]]></property><property name="LESSCLOSE" fullname="$_SERVER['LESSCLOSE']" address="141259424" type="string" size="23" encoding="base64"><![CDATA[L3Vzci9iaW4vbGVzc3BpcGUgJXMgJXM=]]></property><property name="LD_LIBRARY_PATH" fullname="$_SERVER['LD_LIBRARY_PATH']" address="141259672" type="string" size="159" encoding="base64"><![CDATA[L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2pyZS9saWIvaTM4Ni9jbGllbnQ6L3Vzci9saWIvanZtL2phdmEtMS41LjAtc3VuLTEuNS4wLjEzL2pyZS9saWIvaTM4NjovdXNyL2xpYi9qdm0vamF2YS0xLjUuMC1zdW4tMS41LjAuMTMvanJlLy4uL2xpYi9pMzg2]]></property><property name="WINDOWID" fullname="$_SERVER['WINDOWID']" address="141259776" type="string" size="8" encoding="base64"><![CDATA[NjA4MTc1MDQ=]]></property><property name="LOGNAME" fullname="$_SERVER['LOGNAME']" address="141259868" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property><property name="GNOME_KEYRING_PID" fullname="$_SERVER['GNOME_KEYRING_PID']" address="141259960" type="string" size="4" encoding="base64"><![CDATA[NjM2NQ==]]></property><property name="SHELL" fullname="$_SERVER['SHELL']" address="141260068" type="string" size="9" encoding="base64"><![CDATA[L2Jpbi9iYXNo]]></property><property name="DESKTOP_SESSION" fullname="$_SERVER['DESKTOP_SESSION']" address="141260160" type="string" size="5" encoding="base64"><![CDATA[Z25vbWU=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER['SSH_AUTH_SOCK']" address="141260284" type="string" size="30" encoding="base64"><![CDATA[L3RtcC9zc2gtY3hOc2JHNjM2OC9hZ2VudC42MzY4]]></property><property name="CVSROOT" fullname="$_SERVER['CVSROOT']" address="141260416" type="string" size="38" encoding="base64"><![CDATA[OnBzZXJ2ZXI6cm1hdG91c0BjdnMubmV0YmVhbnMub3JnOi9jdnM=]]></property><property name="GNOME_KEYRING_SOCKET" fullname="$_SERVER['GNOME_KEYRING_SOCKET']" address="141260528" type="string" size="26" encoding="base64"><![CDATA[L3RtcC9rZXlyaW5nLWF1QzRVSy9zb2NrZXQ=]]></property><property name="DBUS_SESSION_BUS_ADDRESS" fullname="$_SERVER['DBUS_SESSION_BUS_ADDRESS']" address="141260700" type="string" size="72" encoding="base64"><![CDATA[dW5peDphYnN0cmFjdD0vdG1wL2RidXMtb0xUYURLVURWRyxndWlkPTg2YTRkZmVmMzg5Y2EzODZiZTQ3ZGYwMDQ5NmM0ODZm]]></property><property name="USERNAME" fullname="$_SERVER['USERNAME']" address="141260808" type="string" size="7" encoding="base64"><![CDATA[cm1hdG91cw==]]></property></property></response>


An invalid XML character (Unicode: 0x10) was found in the value of attribute "name" and element is "property".
==============================================================================================================
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="882" context="0">
    <property name="projectsIterator" fullname="$projectsIterator" address="141277156" type="array" children="1" numchildren="3">
        <property name="0" fullname="$projectsIterator[0]" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property>
        <property name="1" fullname="$projectsIterator[1]" address="141268144" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property>
        <property name="2" fullname="$projectsIterator[2]" address="141268380" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property>
    </property>
    <property name="siteXMLString" fullname="$siteXMLString" address="141275960" type="string" size="342" encoding="base64"><![CDATA[PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KCjwhLS0KICAgIERvY3VtZW50ICAgOiBsb3ZhbHZhcmlhYmxlcy54bWwueG1sCiAgICBDcmVhdGVkIG9uIDogSmFudWFyeSAxMiwgMjAwOSwgMToyNyBQTQogICAgQXV0aG9yICAgICA6IHdpbGxpc21vcnNlCiAgICBEZXNjcmlwdGlvbjoKICAgICAgICBQdXJwb3NlIG9mIHRoZSBkb2N1bWVudCBmb2xsb3dzLgotLT4KCjxzaXRlPgogICAgPHBhZ2UgbmFtZT0icHJvamVjdHMiPgogICAgICAgIDxwYWdlIG5hbWU9IlByb2plY3QgMSIgLz4KICAgICAgICA8cGFnZSBuYW1lPSJQcm9qZWN0IDIiIC8+CiAgICA8L3BhZ2U+Cjwvc2l0ZT4K]]>
    </property>
    <property name="name" fullname="$name" address="141271684" type="object" children="1" classname="SimpleXMLIterator" numchildren="1">
        <property address="141271708" type="string" size="8" encoding="base64"><![CDATA[cHJvamVjdHM=]]>
        </property>
    </property>
    <property name="currentPageXML" fullname="$currentPageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2">
        <property name="@attributes" fullname="$currentPageXML->@attributes" facet="public" address="141268848" type="array" children="1" numchildren="1"></property>
        <property name="
+" fullname="$currentPageXML->page" facet="public" address="141269408" type="array" children="1" numchildren="2">
        </property>
    </property>
    <property name="iterator" fullname="$iterator" address="141278096" type="object" children="1" classname="SimpleXMLIterator" numchildren="1">
        <property name="page" fullname="$iterator->page" facet="public" address="141270372" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property>
    </property>
    <property name="pageXML" fullname="$pageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2">
        <property name="@attributes" fullname="$pageXML->@attributes" facet="public" address="141269236" type="array" children="1" numchildren="1"></property>
        <property name="page" fullname="$pageXML->page" facet="public" address="141275424" type="array" children="1" numchildren="2"></property>
    </property>
</response>

Strange just other element name (page->page1) and xml as response from xdebug is valid
=========================================================================
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" [^] command="context_get" transaction_id="854" context="0">
    <property name="projectsIterator" fullname="$projectsIterator" address="141277160" type="array" children="1" numchildren="3">
        <property name="0" fullname="$projectsIterator[0]" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property>
        <property name="1" fullname="$projectsIterator[1]" address="141268144" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property>
        <property name="2" fullname="$projectsIterator[2]" address="141268380" type="object" children="1" classname="SimpleXMLIterator" numchildren="1"></property>
    </property>
    <property name="siteXMLString" fullname="$siteXMLString" address="141275960" type="string" size="346" encoding="base64"><![CDATA[PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KCjwhLS0KICAgIERvY3VtZW50ICAgOiBsb3ZhbHZhcmlhYmxlcy54bWwueG1sCiAgICBDcmVhdGVkIG9uIDogSmFudWFyeSAxMiwgMjAwOSwgMToyNyBQTQogICAgQXV0aG9yICAgICA6IHdpbGxpc21vcnNlCiAgICBEZXNjcmlwdGlvbjoKICAgICAgICBQdXJwb3NlIG9mIHRoZSBkb2N1bWVudCBmb2xsb3dzLgotLT4KCjxzaXRlPgogICAgPHBhZ2UxIG5hbWU9InByb2plY3RzIj4KICAgICAgICA8cGFnZTEgbmFtZT0iUHJvamVjdCAxIiAvPgogICAgICAgIDxwYWdlMSBuYW1lPSJQcm9qZWN0IDIiIC8+CiAgICA8L3BhZ2UxPgo8L3NpdGU+Cg==]]>
    </property>
    <property name="name" fullname="$name" address="141271696" type="object" children="1" classname="SimpleXMLIterator" numchildren="1">
        <property address="141271720" type="string" size="8" encoding="base64"><![CDATA[cHJvamVjdHM=]]>
        </property>
    </property>
    <property name="currentPageXML" fullname="$currentPageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2">
        <property name="@attributes" fullname="$currentPageXML->@attributes" facet="public" address="141268848" type="array" children="1" numchildren="1"></property>
        <property name="page1" fullname="$currentPageXML->page1" facet="public" address="141269412" type="array" children="1" numchildren="2"></property>
    </property>
    <property name="iterator" fullname="$iterator" address="141278096" type="object" children="1" classname="SimpleXMLIterator" numchildren="1">
        <property name="page1" fullname="$iterator->page1" facet="public" address="141270376" type="object" children="1" classname="SimpleXMLIterator" numchildren="2"></property>
    </property>
    <property name="pageXML" fullname="$pageXML" address="141267952" type="object" children="1" classname="SimpleXMLIterator" numchildren="2">
        <property name="@attributes" fullname="$pageXML->@attributes" facet="public" address="141269240" type="array" children="1" numchildren="1"></property>
        <property name="page1" fullname="$pageXML->page1" facet="public" address="141275424" type="array" children="1" numchildren="2"></property>
    </property>
</response>

TagsNo tags attached.
Operating System
PHP Version5.2.8
Attached Files

- Relationships

-  Notes
(0001286)
ksafonov (reporter)
2010-01-24 19:58

Our users are also affected by this issue: http://youtrack.jetbrains.net/issue/WI-958 [^]
(0001430)
derick (administrator)
2010-04-04 11:41

Fixed in revision 2488.

- Issue History
Date Modified Username Field Change
2009-01-14 18:47 Radek Matous New Issue
2009-01-14 18:47 Radek Matous PHP Version => 5.2.8
2009-01-14 18:47 Radek Matous Xdebug Version => 2.0.3
2010-01-24 19:58 ksafonov Note Added: 0001286
2010-03-11 17:25 eschatus Note Added: 0001379
2010-03-20 23:22 derick Note Deleted: 0001379
2010-03-20 23:50 derick Target Version => 2.1.0RC1
2010-04-04 11:41 derick Note Added: 0001430
2010-04-04 11:41 derick Status new => closed
2010-04-04 11:41 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker